import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { ContactPageCmsService } from "./contact-page-cms.service";
import { UpdateContactPageCmsDto } from "./dto/update-contact-page-cms.dto";

@Controller({ path: "contact-page-cms", version: Constants.API_VERSION_1 })

export class ContactPageCmsController {
    constructor(private readonly service: ContactPageCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateContactPageCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
