import { EntityRepository, Repository } from "typeorm";
import { UpdateContactPageCmsDto } from "./dto/update-contact-page-cms.dto";
import { ContactPageCms } from "./entities/contact-page-cms.entity";

@EntityRepository(ContactPageCms)
export class ContactPageCmsRepository extends Repository<ContactPageCms> {

    async createEntity(dto: UpdateContactPageCmsDto): Promise<ContactPageCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle,
                buttonText: dto.buttonText,
                location: dto.location,
                phone: dto.phone,
                email: dto.email,
                lat: dto.lat,
                lng: dto.lng
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateContactPageCmsDto, id: string): Promise<ContactPageCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle,
                buttonText: dto.buttonText,
                location: dto.location,
                phone: dto.phone,
                email: dto.email,
                lat: dto.lat,
                lng: dto.lng
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ContactPageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}