import {EntityRepository, Repository} from "typeorm";
import { HeaderBannerCms } from "./entities/header-banner-cms.entity";
import { UpdateHeaderBannerCmsDto } from "./dto/update-header-banner-cms.dto";

@EntityRepository(HeaderBannerCms)
export class HeaderBannerCmsRepository extends Repository<HeaderBannerCms> {

    async createEntity(dto: UpdateHeaderBannerCmsDto): Promise<HeaderBannerCms | Error> {
        try {
            const entity = this.create({
                bannerText: dto.bannerText
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateHeaderBannerCmsDto, id: string): Promise<HeaderBannerCms | Error> {
        try {
            await this.update(id, {
                bannerText: dto.bannerText
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HeaderBannerCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}