import { EntityRepository, Repository } from "typeorm";
import { UpdateHeaderCmsDto } from "./dto/update-header-cms.dto";
import { HeaderCms } from "./entities/header-cms.entity";

@EntityRepository(HeaderCms)
export class HeaderCmsRepository extends Repository<HeaderCms> {

    async createEntity(dto: UpdateHeaderCmsDto): Promise<HeaderCms | Error> {
        try {
            const entity = this.create({
                bannerText: dto.bannerText,
                logo: dto.logo,
                headerText: dto.headerText
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateHeaderCmsDto, id: string): Promise<HeaderCms | Error> {
        try {
            await this.update(id, {
                bannerText: dto.bannerText,
                logo: dto.logo,
                headerText: dto.headerText
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HeaderCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}