import { EntityRepository, Repository } from "typeorm";
import { UpdateHomePageSectionTwoCmsDto } from "./dto/update-home-page-section-two-cms.dto";
import { HomePageSectionTwoCms } from "./entities/home-page-section-two-cms.entity";

@EntityRepository(HomePageSectionTwoCms)
export class HomePageSectionTwoCmsRepository extends Repository<HomePageSectionTwoCms> {

    async createEntity(dto: UpdateHomePageSectionTwoCmsDto): Promise<HomePageSectionTwoCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle,
                status: dto.status,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateHomePageSectionTwoCmsDto, id: string): Promise<HomePageSectionTwoCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle,
                status: dto.status,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HomePageSectionTwoCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}