import { EntityRepository, Repository } from "typeorm";
import { UpdateAboutPageUiDto } from "./dto/update-about-page-ui.dto";
import { AboutPageUI } from "./entities/about-page-ui.entity";

@EntityRepository(AboutPageUI)
export class AboutPageUiRepository extends Repository<AboutPageUI> {

    async createEntity(dto: UpdateAboutPageUiDto): Promise<AboutPageUI | Error> {
        try {
            const entity = this.create({
                backgroundColor: dto.backgroundColor,
                sectionOneTitleFontColor: dto.sectionOneTitleFontColor,
                sectionTwoTitleFontColor: dto.sectionTwoTitleFontColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateAboutPageUiDto, id: string): Promise<AboutPageUI | Error> {
        try {
            await this.update(id, {
                backgroundColor: dto.backgroundColor,
                sectionOneTitleFontColor: dto.sectionOneTitleFontColor,
                sectionTwoTitleFontColor: dto.sectionTwoTitleFontColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<AboutPageUI[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}