import { EntityRepository, Repository } from "typeorm";
import { UpdatePressDetailsPageUiDto } from "./dto/update-press-details-page-ui.dto";
import { PressDetailsPageUI } from "./entities/press-details-page-ui.entity";

@EntityRepository(PressDetailsPageUI)
export class PressDetailsPageUiRepository extends Repository<PressDetailsPageUI> {

    async createEntity(dto: UpdatePressDetailsPageUiDto): Promise<PressDetailsPageUI | Error> {
        try {
            const entity = this.create({
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdatePressDetailsPageUiDto, id: string): Promise<PressDetailsPageUI | Error> {
        try {
            await this.update(id, {
                backgroundColor: dto.backgroundColor,
                pageTitleFontColor: dto.pageTitleFontColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<PressDetailsPageUI[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}