import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { UpdateTermsConditionPageUiDto } from "./dto/update-terms-condition-page-ui.dto";
import { TermsConditionPageUiService } from "./terms-condition-page-ui.service";

@Controller({ path: "terms-condition-component-ui", version: Constants.API_VERSION_1 })

export class TermsConditionPageUiController {
    constructor(private readonly service: TermsConditionPageUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateTermsConditionPageUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
