import { EntityRepository, Repository } from "typeorm";
import { UpdateTermsConditionPageUiDto } from "./dto/update-terms-condition-page-ui.dto";
import { TermsConditionPageUI } from "./entities/terms-condition-page-ui.entity";

@EntityRepository(TermsConditionPageUI)
export class TermsConditionPageUiRepository extends Repository<TermsConditionPageUI> {

    async createEntity(dto: UpdateTermsConditionPageUiDto): Promise<TermsConditionPageUI | Error> {
        try {
            const entity = this.create({
                backgroundColor: dto.backgroundColor,
                titleFontColor: dto.titleFontColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateTermsConditionPageUiDto, id: string): Promise<TermsConditionPageUI | Error> {
        try {
            await this.update(id, {
                backgroundColor: dto.backgroundColor,
                titleFontColor: dto.titleFontColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<TermsConditionPageUI[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}